SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[party]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[party](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[title] [nvarchar](255) NULL,
	[starttime] [nvarchar](255) NULL,
	[endtime] [nvarchar](255) NULL,
	[type] [nvarchar](255) NULL,
	[consumption] [nvarchar](255) NULL,
	[consumptionother] [nvarchar](255) NULL,
	[requireage] [nvarchar](255) NULL,
	[requiregender] [nvarchar](255) NULL,
	[area] [nvarchar](255) NULL,
	[place] [nvarchar](255) NULL,
	[note] [nvarchar](max) NULL,
	[requirement] [nvarchar](max) NULL,
	[matters] [nvarchar](max) NULL,
	[retrospect] [nvarchar](max) NULL,
	[limitseveral] [int] NULL,
	[enable] [bit] NOT NULL,
	[uid] [int] NULL,
	[time] [datetime] NULL,
	[endtimereg] [datetime] NULL,
	[tj] [bit] NOT NULL,
	[thumbnail] [nvarchar](255) NULL,
	[state] [nvarchar](255) NULL,
	[pagetitle] [nvarchar](255) NULL,
	[keywords] [nvarchar](255) NULL,
	[description] [nvarchar](255) NULL
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[party_pl]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[party_pl](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[time] [datetime] NULL,
	[uid] [int] NULL,
	[fid] [int] NULL,
	[enable] [bit] NOT NULL,
	[ip] [nvarchar](255) NULL,
	[content] [nvarchar](max) NULL
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[party_reg]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[party_reg](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[nickname] [nvarchar](255) NULL,
	[phone] [nvarchar](255) NULL,
	[several] [nvarchar](255) NULL,
	[age] [nvarchar](255) NULL,
	[gender] [nvarchar](255) NULL,
	[profession] [nvarchar](255) NULL,
	[justification] [nvarchar](max) NULL,
	[enable] [bit] NOT NULL,
	[uid] [int] NULL,
	[fid] [int] NULL
) ON [PRIMARY]
END
GO
